/***************************************************************************
 *   Copyright (C) 2010 by Martin Burgemeister, Mathis Lindemann           *
 *     																	   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef UCQTOOLBAR_H_
#define UCQTOOLBAR_H_
#include<QToolBar>
#include<QIcon>
#include<QAction>
/**
 * \class UCQToolBar
 * \brief A main tool bar with the actions Load Unicode Table, Load Blocks
 *        Table and Save Table.
 *
 * \author Martin Burgemeister <Martin.Burgemeister@gmx.de>,
 *         Mathis Lindemann <MathisLindemann@gmx.net>
 * \version 1.0
 * \date 16 August 2010
 */
class UCQToolBar: public QToolBar
{

Q_OBJECT

public:
    UCQToolBar ( QWidget* );

    void enableSaveAction ( bool );

private:
    /**
     * \brief Action for Load Unicode Table.
     */
    QAction* loadTableAction_;
    /**
     * \brief Action for Load Block Table.
     */
    QAction* loadBlocksTableAction_;
    /**
     * \brief Action for save table.
     */
    QAction* saveTableAction_;

signals:
    /**
     * Signal that the action loadTableAction_ was triggered.
     */
    void loadTablePressed ();
    /**
     * Signal that the action loadBlocksTableAction_ was triggered.
     */
    void loadBlocksTablePressed ();
    /**
     * Signal that the action saveTableAction_ was triggered.
     */
    void saveTablePressed ();
};

#endif /* UCQTOOLBAR_H_ */
